www.cendio.com
Bug 4414 - debug packages for build system
: debug packages for build system
Status: CLOSED FIXED
: ThinLinc
Build system
: 3.4.0
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-10-02 14:37 by
Modified: 2015-09-25 13:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2012-10-02 14:37:29
(moved from bug 2989)

We link a lot of stuff from the build system statically into our shipped
binaries. Therefore it could be useful to have debug packages for the build
system as well. Currently we can see symbols from the linked libraries, but not
the source code.
------- Comment #1 From cendio 2015-02-05 17:31:10 -------
Bug 4929 makes sure that we at least build with the -g flag.
------- Comment #2 From cendio 2015-06-22 14:24:18 -------
We've started producing debuginfo packages in r30461. This is done because gcc
has become huge and disk usage is becoming a real concern. No work has been
done to check that we have proper debug symbols, or that this helps gdb when
debugging binaries we ship.
------- Comment #3 From cendio 2015-08-12 17:26:34 -------
Picked two random build system components (pcre, gnutls) for test. Incremented
revision in spec files for the components and started rebuild script.

Verified that staging/RPMS/debuginfo/ contined debuginfo packages for the two
components.

Looks good.